Nightly Tester Tools

The extensions listed here are no longer supported, these pages are just maintained for historical reasons!

This extension adds a few extras useful to those that regularly test nightly builds of Firefox, Thunderbird, Sunbird and Toolkit Seamonkey (Suiterunner).

Don’t forget that forcing an incompatible extension to install is risky. There are many cases where Firefox will stop working completely or behave incorrectly because an incompatible extension is being forced to work where the author never intended.

The following is a brief list of the extension’s features, for the full set of features please take a look at the features list.

  • Extension compatibility fixing
  • Titlebar customisation
  • Build ID retrieval
  • Screenshots
  • Breakpad information
  • Restoring tabs from previous session
  • Leak log analysis

236 thoughts on “Nightly Tester Tools

  1. I am running FireFox 2.0 and for a couple weeks Nightly Tester Tools worked always giving the option to use it to force download/installation of themes and extensions. Suddenly today, I am no longer given the option to download anything using Nightly Tester Tools to force the download. Anybody else see this?

  2. Nevermind the last comment. The Version history explains the issue. However I might suggest rewording the language in the options menu "Disable add-on compatibility checking" is much less concise than "allow all incompatible extensions".

  3. This extension used to be able to override compatability on the extension download dialog, now its turned on/off via extension preferences. Can you put the old method back in ?

  4. Am trying to install it for the latest build of Thunderbird, but it’s not compatible. Hope you update it soon.

  5. I love this plugin, it makes some of my favourite firefox plugins that haven’t been updated for FF2.0 work wonderfully.

    Keep up the great work.

  6. I really miss the ability to selectively enable/disable the version compatibility check for extensions. With the new 1.2 version, it is now installing every extension I try without even informing me that there might be a problem. When I first installed NTT 1.2 and enabled the feature, ALL of my disabled extensions were enabled — breaking the install. It is much more productive to selectively enable them as necessary. Please either bring back the checkbox or pop up a warning for each incompatible extension being enabled.

  7. In principle, these tools look brilliant, avoiding the over-pickiness of installing Ffx extensions.
    But ….. the extension does not install completely. The Nightly Tester Tools sub-menu and the build identifier buttons are visible/available, but nothing has been added to the Ffx extensions installer. So I still cannot install extensions not built for Ffx 2.0. Help would be appreciated ^_^

  8. Awesome! I tried to mod the Greenshift theme to work with v2 but couldn’t get the max version number to stick. I downloaded Nightly Tester tools and 2 clicks later my favorite theme was back. Thanks mate, Brilliant!

  9. i use autoform and since i upgadre firefox it stop working, with this it works again :) very nice tool _o_

    thanks

  10. I tried it whit HalloFF

    https://addons.mozilla.org/firefox/3522/

    and it didn’t work very well… :( however it indeed forced it to run!!! :)

    it’s very sad that some extensions stop being suported each time a new firefox gets out… this extensions tries to fix that problem… you’re on the good path… but indeed it could be a lot better and fix all the incompatibility problems…

    keep up the good work :)

    (i only tried it whit HalloFF theme!!! it may work whit other themes and extensions)

  11. I’m very pleased to say that I’ve re-acquired the most wonderful ability at making the seemingly incompatible compatible for Firefox 2.0′s most current up-to-date release Joy! Rapture!

  12. It installed just fine in the 12/16/06 3.0 a1 (Minefield) release for Mac OS X Tiger, but the Tools->Nightly Tester Tools option menu was missing, and the Tools->Add-ons->Extensions->Nightly Tester Tools Preferences window failed to launch when clicked. However, other extensions preference menus would launch leading me to believe it’s just this one.

    Overall though, I loved it in past versions. A new installation from today works just fine in the latest stable build (2006101022, wasn’t it?) for Mac OS X Tiger.

  13. I love this tool. with this tool even seamonkeys star trek theme works on Firefox 2.0. love this tool. I from 1-100 I give this tool a 100

  14. This extension Is great thanks to this extension the LCARS star Trek theme works and it said it was only for seamonkey but it worked
    so if theres any Star trek fans out there try this extension
    because you can set the options so the compatibility checker is off
    that mean even seamonkeys themes will work
    signed a greatfull star trek fan

  15. ATTN: Seamonkey Users
    Use Version 0.7.9.11 available from ‘Version History’ for the Moz App suite!

    This will work with the latest (alpha / beta / rc) version of SeaMonkey…

  16. I get a compatibility error when I try to install this on the latest Thunderbird version, 1.5.0.9. Is this only meant to use on the 2.0b version of Thunderbird?

  17. I love this extension! This extension removes the only annoyance I have ever had with Firefox – that crap of extensions being "incompatible"! Thank you for providing this solution for all of us!

  18. I found 2 memory leaks in Mozilla Sunbird "Calendar".

    Leaks in window 0x36568c0:
    [+] [leaked object] (3deb4a0, chrome://nightly/content/extensions/extensions.js, 207-213) = [Function]
    [ ] prototype (176ebc0) = [Object]
    [+] [leaked object] (3deb560, chrome://nightly/content/extensions/extensions.js, 84-112) = [Function]
    [ ] prototype (176eb80) = [Object]

  19. Please add this future –

    Netscape 8.1.3 and 9 support to add&test various extensions for that browser.

    Thanks at advance.

  20. Look people, forcing extensions/themes to work is not recommended. It can (and does) cause MANY problems, including hitching, hanging, crashing, memory leakage, weird behaviour, dataloss and more.

    NTT is what it says it is, NIGHTLY tester tools. For users of the NIGHTLY builds so they can force extensions/themes to work whilst also testing the latest daily builds of firefox. (People who test nightly builds are much more able to troubleshoot their own problems when caused by extensions forced to work).

    If you force extensions/themes to work on versions of firefox/thunderbird/whatever then you are asking for trouble. Big trouble. If you really want that extension/theme to work then you best email the author and get them to update it and test it. NTT is not a magic bullet to suddenly make your incompatible extensions suddenly work.

  21. Working perfectly in SeaMonkey/2.0a1pre.

    Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a5pre) Gecko/20070601 SeaMonkey/2.0a1pre – Build ID: 2007060102

  22. Hi! Working perfectly with Firefox 3.0a5pre :-)

    About translation : why don’t you put this extension on BabelZilla?

  23. I like nightly tesster tools Because it made Image Zoomer 0.2 work again I lost image zoomer 0.2 when firefox Upgraded To 2.0
    thanks for this extension!!

  24. Im using Nightly Latest trunk builds everyday for the past 5-7 years since the earliest releases of firebird / phoenix ( ;-) anyone remember those days ?? ) I can tell you that there are virtually no fatal bugs in the Nightly builds ( u might lose your bookmarks once in a while ;-D thats up to your backup techniques ) And now I have v1.3b2 NTT installed on Minefield Build 2007070604 version3.0a7pre ..

    You can definitely expect gr8 and l33t features in all upcoming Mozzarella Releases !!! This is one explosive package delivered daily !!!
    Yay ! Go Moz ! Go Zilla!!

  25. What does “disable compatibility overwriting during application update” mean?

    Compatibility of what, why would I want to enable/disable it, why is there a preference to decide…

  26. Hi,
    RE:Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b5pre) Gecko/2008030607 Minefield/3.0b5pre
    Extensions:flashblock/java quick starter/operator/personal menu
    Nightly tester tools version 1.3
    Cannot take screenshot; timer is blocked on 1, crop and save function not working. Can only upload to Imageshack.
    System: WXP-h/2SP
    How do I get rid of this bug!?
    Thanks,
    Iakop

  27. I Think Nightly Tester Tools, Need To Allow Install Extensions From Previews Version Of Firefox 2,3. On Every
    New Version Of Firefox That Come Out Just Like The “Minefield/4.0a1pre” ! So Far Every Time That I Want To Install Extension On New Version Of Firefox, I Always Downloaded Older Version 2,3 To Install Nightly Tester Tools, Than I Go To The New Version Of Firefox So I Can Run The Extensions With No Problem. That’s Really
    Annoying !!! So My Suggestion Is Simple: Add An Option To Nightly Tester Tools That Allow To Install Extension
    In Older Version On New Version Of Firefox !!!

  28. Re myself, I now see what the preference does.

    It should be named “don’t let firefox undo my compatibility changes behind my back”, enabled by default, and not even be a preference.

    Giving free usability advice again, no need to thank me :)

  29. Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9pre) Gecko/2008040106 Minefield/3.0pre ID:2008040106

    with this (latest) nightly i’ve got many crashes but nothing is showed onto the Breakpad …

  30. Is there a way to allow Nightly Tester Tools to override AMO’s new “don’t allow the visitor to install this extension if it is not compatible with this version of Minefield”?

    There’s such a narrow window between when the build identifier is compatible with what AMO supports, it means that it’s now very difficult to actually install extensions.

  31. When Nightly Tester Tools Will Be Compatible With “Minefield/4.0a1pre” Please ?

  32. how to install Minefield/4.0a1pre on Nightly Tester Tools 1.3

    NTT to enable them to install after FF3.
    And then when you run FF4 NTT is off.
    If you normally add-on in turn to work.

  33. So now that Firefox 3.5 is out, how do we install old addons? it seems impossible. A little tut would b beneficial for both, members, and your site.

  34. A “rollback to previous nightly” feature would be extremely nice (not the last one released, but the last one on your system). It seems as if I am always running into bugs in nightly testing that would have me wanting to go back to the last install that was on my system. Let me know if there is already an extension for this.

  35. Barry-
    How I do it is take a quick peek at the source of the page (View->Source) and look for the .xpi file. Then, copy that link and pop it in your address field up top. Voila. Crappy workaround, I know, but it works.

  36. Where do bug reports go? There’s a highly annoying issue in recent weeks which I’ve isolated to this extension which results in the Add Bookmarks dialogue popping up the first time the Bookmarks menu is accessed.

    – Chris

  37. In the History – the “Restore from last session” don’t work.
    (I found this error in the latest trunk.)

  38. Could you please remove the “Restore from last session…” in the “History” menu because it has no function and it isn’t in the Built without the extension.

  39. Hi
    The extension in version 2.0.0 has marked all my extensions as COMPATIBLE when I turned to the new method of compatibility check bypass. So, there is now no way anymore for me to tell the enabled and compatible extensions from the enabled and uncompatible extensions… which is an extremely useful info in these times where all extensions and FF are moving to newer versions.
    How can I go back to the previous situation?
    Thanks

  40. Unfortunately installation of NTT 2.0 does succeed in TB 3.0a1pre (2008042403); em:maxVersion is set to only 3.0a1.

  41. A big THANK YOU for the latest upgrade, in which you have improved compatibilty enforcing. Can’t wait for firefox 3.0 to test this.

  42. NTT 2. What about Breakpad Sidebar? NTT 1.3 works.
    Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9pre) Gecko/2008042305 Minefield/3.0pre ID:2008042305

  43. NTT 2.0.1.Breakpad Sidebar works now. Thank you!
    Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9pre) Gecko/2008042305 Minefield/3.0pre ID:2008042305

  44. Any chance of enabling this for the newest versions of Minefield? The version 4 pre-alpha is available as well, but doesn’t run NTT yet without manual editing.

    Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:2.0a1pre) Gecko/2008042402 Minefield/4.0a1pre

  45. NNT 2.0.1. What about “custom title” ($(Profile)) in last Nightly? PM?
    Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9pre) Gecko/2008042906 Minefield/3.0pre ID:2008042906

  46. Override all compatibly dont work on nightly biulds Fx4.0

    Mozilla/5.0 (X11; U; SunOS 5.10 sun4u; pl-PL; rv:2.0a1pre) Gecko/20080504 Firefox/4.0a1pre

  47. Does this update the Mozilla Archive Format MAF extension so it can be used other than with Firefox 1.5?

    The “bumped” version of MAF just opens blank pages with FF 2.0.

  48. How do I remove the compatibility of an extension?
    I pushed “Override all compatibility” but after some tests I want to restore the original state.

  49. Hi Joan.

    Whenever possible, I store the original program and/or extension so I always have the option to uninstall the update and reinstall the previous version.

    Failing that, you might try System Restore.

  50. NTT 2.0.2. Custom title” ($(Profile)) works now. Thank you!
    Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9pre) Gecko/2008050406 Minefield/3.0pre ID:2008050406

  51. Still no luck in getting NTT 2.0.2 installed in TB 3.0a1 (20080506039

  52. Worked great until the latest update. Now whenever it asks me to Force Install an extension, it does the compatibility check anyhow!

  53. NTT Ver. 2.0.2 is not compatible with Thunderbird version 3.0a1pre (2008050803).

  54. When I install 2.02 and go to options, I just get a page about custom titles and nothing else, so I cant see any of the normal Nightly Tester Tool Options. There is nothing about disabling automatic checking and the like.

  55. Are you aware that your newest version 2.0.2 is STILL not available on addons.mozilla.org? (For the past several weeks all I get is a download error…)

  56. 2.0.2. does not work with my 3.0 RC1. It´s installed, but FF keeps saying it´s not compatible.

  57. Thanks To this Extension My LCARS Trek Theme Works In Firefox 3.0 RC1
    So Does My Image Zoomer 0.2
    And The Shift themes Work
    Thank you

  58. I just installed FF3.0 RC1, but I can’t install NTT v2.02, just says its not compatible with Firefox 3.0

    Anything I need to do in order to make it work ?

  59. With firefox 3.0b5 and version 2.0.2 I cannot see any option to install an addon like Foxmarks . What should I do to install it ?

  60. I would love it even more if there was a feature that would let me know which addons (that I have overridden compatibility) are still incompatible with my firefox version.

    Ex. Today I updated some addons on my firefox, how many (and which) are still incompatible???

  61. This doesn’t seem to work with RC1 at all. Force install doesn’t seem to do anything anymore.

  62. Firefox 4.0 wasn’t ment for testing cause it wont get updated before firefox 3.1 isn’t completed!
    So useing minefield 4.0a1pre is a huge risk factor….

  63. This plugin leads to crash my FireFox RC1 after Google Toolbar installation.
    Rechecked it a twice.

  64. @ prixsel – Fx4.0a1pre is still developed with Fx3.1a1pre
    and you can see Fx4.0a1pre logs on actionmonkey project in hg mozilla ;)

    I know that useing it is huge risk factor, but I want to thelp Mozilla team with my crash report like always :)

    And Nightly Tester Tools should be updeated to this version as well, because manual editing files is not good xD

    Regards
    Virtual_ManPL

  65. Version 2.02 says it is compatible with FireFox 3.1a1pre.

    When will Nightly Tester Tools be compatible with FireFox RC2 ?

  66. How about Firefox 3.0 RC2 version?
    This extension is great and it right now my bottle neck before I can update to RC2…

  67. So, do you think that NTT will ever work with Mozilla Prism? There are no addons that are compatible, and I am hoping that your tool will let them at least install.

    Thanks!

  68. I cant instal this on Mozilla Firefox 3…
    Mozilla/5.0 (Windows; U; Windows NT 5.1; pl; rv:1.9) Gecko/2008052906 Firefox/3.0

    and please add Mozilla Firefox 4a1pre compatible too…

    Regards
    Virtual_ManPL

  69. Anyone else unable to select text in flash (ie. the urls/embed of youtube links) via ctrl+c or right click -> copy while NTT is enabled?

    Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9pre) Gecko/2008061706 GranParadiso/3.0pre

  70. Where are you……??, we really need you NOW….., pleeeeeeeease update to Firefox 3, so you can help us, like you did in FF2…. pleeeeeeeeeeeeeeeeeeeease…

  71. Just out of curiosity, how do you undo any changes Nightly Tester Tool does to Firefox.

  72. i have one suggestion .

    edit your extension with changes :

    1- a function that you can edit your extension.lastappversion
    2- a funtion for change che value of general.useragent.extra.firefox
    3- if you can make a function that you can install .xpi files on every firefox based browseres like songbird that doesn’t accpet to install extensions .

    Thanks
    Shahryar

  73. I too am looking for a way to undo NTT. Please prominently indicate that the effects are permanent so users know what to expect.

  74. Please add an option to display the current page/tab URL in the titlebar with your marvelous extension for Firefox 3. URL 2 Title bar no longer works :(

    cheers

  75. Works great for FF3.0. Helped make an extension work since the publishers didnt want to update it… so I used this.

    Thanks

  76. How to recover crashed tabs? I mean a sessionstore.js file was rewrited by FireFox, but a previous session is keeped in sessionstore.bak file. How to repair the sessionstore.js (firefox rewrite it if the file contain errors)?
    Now I’m use FireFox 2.0.0.14 and Nightly Tester Tools 1.3. Can’t install NTT 2.0.2, because it’s incompatible with FF 2.x. (?) But FireFox 3 have problems with some very necessary extensions, like Mozilla Archive Format (MAF).

    Is NTT 1.3 support session recovering?

  77. I use Firefox 3.0
    All my Incompatible Extensions Work
    Image Zoomer 0.2
    LCARS 1.8.1 Modified Version
    Works Even All the shift Themes Work
    Enjoy

  78. I need this to work in firefox 3.0.1… because still doesn’t… please…

    thanks

  79. What is the current version for Thunderbird version 2.0.0.17pre (20080721)?

    Thanks.

  80. This Extension Works with Firefox 3.0-3.0.1
    It works On all my extensions
    Image Zoomer 0.2
    LCARS Modified Trek Theme
    Even The Old Shift Themes Work
    Love This Extension
    Keep Up the Good Work

  81. Could you update the nightly tester tools to work with Thunderbird 3.0b1. I t changed with the latest nightly builds on 08/01/2008. Thank you so much appreciated. All my extensions and themes and your nightly tester tools have been disabled and I can’t get them enabled right now.

  82. please help

    I need extension manager or this extension to manage my add ins……..this extention will not install, I tried from many other web site……I desperately need it..

    help me to install it on seamonkey……..

    thanks

  83. Everyone needs to stop requesting that I add compatibility with Thunderbird 3.0b1. It is impossible for me to do so until addons.mozilla.org let me.

  84. I don’t know if this is a bug or just acceptable loss or what not… This is an awesome tool and great to get missing themes on firefox to work on 3.0.1 when they don’t seem to want to update old ones… However when it does force them, either tabs aren’t workin or the scroll bar is missing. There are only couple that work, fine with tabs and scroll bar, just missin the close tab x on each tab, but that might b the theme (some don’t have them for some reason).

  85. Themes are the types of add-on that are least likely to work in versions of Firefox that they aren’t meant for. It doesn’t surprise me one bit that you hit serious problems when you do so.

  86. You are kidding right? This works perfect in 3.1b1Pre.. maybe you should try to reinstall it.

  87. It seems like the link above (Install v2.0.2) does not work with 3.1b1Pre (says not compatible), but if you go to the addon page and install it from there it works perfectly!

  88. Handy extension, but it would be nice if it supported Sunbird 0.9 RC1. The current one (2.0.2) doesn’t, and as a result, most add-ons don’t work either.

  89. Hi,

    I just updated My Seamonkey to version 1.1.12 but when I tried to install Nightly Tester tools I always get the answer: “No Script Found” ! Why is that ?

    Keep up with the good work, and thanks for a fast solution to my problem.

  90. Hello,

    perhaps this is of interest to somebody: I translated Nightly Tester Tools into German now. Seems to work OK except the Options Window that unfortunately is a bit too narrow for the variable descriptions and can not be resized by the user.

    Kind regards,
    Gerd

  91. In the install.rdf, would you please change SeaMonkey:-
    from
    2.0a1pre
    to
    2.0.*

    Nightly-Tools work excellent in SeaMonkey-2.0a2pre, but the 2.0a1pre-limit in the install.rdf stops a default install, auto-update, etcetera.
    Many thanks for a fine product.
    Barry Gilmour.

  92. I cannot mark this as compatible with 3.1b2 until addons.mozilla.org is updated to support that. Please stop asking

  93. Please, remove ersion compatibility bounds from your extension.
    Or make it by mail branches only, like “3.*”

  94. > I cannot mark this as compatible with 3.1b2 until addons.mozilla.org is updated to support that. Please stop asking

    You can do it from this site.

  95. I’ve changed install.rdf to this:

    {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
    3.*
    3.*

    but it isn’t working in 3.1b2pre

  96. I am not sure if 3.* works (should work) but i am using only * for em:maxversion, save it in install.rdf, repackage all the files, you can use 7-zip and create a zip archive of all the files and save with .xpi extension and then drag drop in firefox, install extension and restart Firefox and you have the extension working.

  97. Works perfectly as maxversion 3.*
    btw before was maxversion 3.0b1pre or something but worked with 3.1b1pre :P

  98. iav: My add-ons are hosted at addons.mozilla.org. I can only change the version compatibility there and until they allowed using 3.1b2pre as a maxVersion it would be impossible.
    V1RUS: You clearly don’t know a lot about extension development. I’d never use 3.* as a maxVersion anyway, there is no guarantee that the extension will even work in 3.1 final yet let alone 3.2 and any further versions that get released down the road.
    marties: Try reading comments before posting.

    AMO is now allowing 3.1b2pre so I have increased the maxVersion. I think given the junk you guys have been posting I’ll probably turn off commenting around the next version change.

  99. Works perfectly as maxversion 3.1b7. I think the beta version of FF 3.1 shall not exceed beta7.

  100. IT WORKS.
    Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US; rv:1.9.1b2pre)
    Gecko/20081014
    Minefield/3.1b2pre
    (:
    thnx

  101. Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1b2pre) Gecko/20081014 Ubuntu/8.10 (intrepid) Minefield/3.1b2pre ID:20081014214637

    its seem to be installed (at least I could use it to post my minefiled version above) but it wont force my addons!

  102. Can not install on Firefox 3.0.3. Is there an update or can something be changed so it will work?

  103. Just installed Minefield and nightly tester tool. My add-ons work fine when forced, but Minefield “forgets” this has been done when I close the program. I have to redo the forcing every time I start Minefield. Anyone else have this happen? Anything I can do to fix it, or just wait for the next build?

  104. I have installed the latest nightly build of Minefield:

    firefox-3.1b2pre.en-US.win32.installer.exe 04-Nov-2008 05:22 7.2M

    And when I try to install nightly tester tools i get the following error message:

    “Nightly Tester Tools 2.0.2 could not be installed because it is not compatible with Minefield 3.1b2pre.”

    Does anybody have any idea what the problem might be?

    Ben

  105. Hi all,

    Reinstall NTT from the link above and it will work again. Had the same problem.

    Steve

  106. Seamonkey trunk is now at version 2.0a3pre.
    It would be nice if we can have Nightly Tester Tools updated

  107. Roboform addon will not enable using Nightly Tester tools. I get the following error when trying to enable it.

    This Adapter (6-9-91) supports only Firefox ver. 3.1b1.
    You are using Firefox ver. 3.1b2. This browser is not supported.
    Please upgrade RoboForm Adapter to the latest version or downgrade your browser.
    Reason: Cannot register component.

    I have contacted Roboform Support about this, but what do you think the reason is that Nightly Tester Tools won’t work with Roboform? I have had success enabling every other addon except for Roboform. If you have a solution for me, please email me. Thanks.

    -nka

  108. This is the king of all extensions because without it, I cannot use my other extensions, works great on the latest build of Minefield 3.2a1pre 02-Jan-09

  109. Works great on 3.2a1pre (Minefield)

    Wow, I was just thinking.. I wish they had some tools for nightly testers. lol
    Cool stuff. Thanks!

  110. When are you going to fix it so that it will install in v. 3.0.6? I have more than 50 add-ons and themes that simply will not install in any 3.x.x version. I really need your tester tools to fix this problem!!!

  111. Robert Holmstrom

    It installs in all Firefox 3.0.* security update versions and also the 3.1 and early 3.2 builds just fine so there is no fix needed. Either your user agent is screwed up or one or more of the 50 extensions you have is conflicting.

  112. WOW. I wish I had heard of this brilliant add on before. A great app. Thank You.

  113. I agree with HM2K, “CTRL+SHIFT+S conflicts with WebDev Toolbar shortcut, should be configurable.”.

    I don’t even need an interface to set it, I just need some way to completely disable that feature. I use KeyConfig to disable the shortcut, but when I less expect it NTT seems to rebind the shortcut again. And believe me, it’s more persistent than I am.

    Any thoughts on this?

  114. I am getting a very weird problem, and i need some help to fix it. when i tried to install nightly tester tools 2.02 on my minefield(3.2alpha) it says:

    Nightly Tester Tools 2.0.2 could not be installed because it is not compatible with Minefield 3.2a1pre.

    I am doing this on my vista.Any solution?

  115. I installed the nightly tools on Firefox 3.1b3, but cannot figure out how to check for memory leaks. How do you run the script, and where is the log?

  116. Nightly Tester Tools 2.0.2 could not be installed because it is not compatible with Minefield 3.6a1pre.
    Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2a1pre) Gecko/20090408 Minefield/3.6a1pre (.NET CLR 3.5.30729)
    My firefox3.6a1pre also can’t install it….

  117. Using NTT in Seamonkey 2.0b1pre otherwise successfully except that I have no option for taking a screenshot. Is this intentional? Working fine in Firefox (Minefield) 3.6a1pre.

  118. I just installed this extension into
    Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1b4pre) Gecko/20090331 SeaMonkey/2.0b1pre
    and I noticed that it throws an error every time a new browser window is opened.
    This is because the pref nightly.variables.defaulttitle doesn’t exist, which causes generateText() to fail. Expanding nightly.js:162 to
    if (varvalue !== null && varvalue != undefined) {
    might help? Or creating the pref during install?

  119. Hi, Nightly Tester Tools (2.0.2) seems to conflict with MR Tech Toolkit (6.0.3.3). The problem is that NTT seems to clobber the sort button and the search text box in the bottom right hand corner of the Extensions tab in the Addons window.

  120. Fresh install of Firefox and it says that your extension is not compatible with Firefox 3.0.10????? Help?? I have NO extensions at all

  121. Please update compatibility to Seamonkey2.0b1pre, otherwise it’s a vicious circle :-S

  122. With Windows 7 RC1 (FR) none of my extensions are working … and Nightly Tester Tools dont install. Is it possible to find a way to use some extensions ?
    Thanks

  123. With the release of Fx 3.5, Nightly Tester Tools no longer overrides Firefox’s settings to re-enable disabled add-ons. I just lost 7 add-ons with this release, including Tab Mix Plus, but without the ability to override compatibilty I guess it’s back to hacking about:config and crossing our fingers.

  124. Some extensions will work and others won’t. It seems to be a case by case situation. I haven’t tried to use Gspace so I don’t know about that. Classic Compact doesn’t work, but FlagFox and Colorful Tabs do.

    I’ll bet those extension authors are busy adapting their code as we speak. I hope Classic Compact will be adapted soon… I hate the native appearance of the FireFox button bar on the Mac … too drab and difficult to see.

  125. CORRECTION: Classic compact does work… it’s a plugin and I had failed to override and force it. It’s fine now. And G-space works to, but not as I remember it. I don’t use it much, so I can’t say whether there is a problem or not (but prob. not).

    So in a nutshell, all my add-ons seem to be working just fine.

  126. Using Thunderbird release

    Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.1pre) Gecko/20090701 Lightning/1.0pre Shredder/3.0b3pre ID:20090701031311

    Nightly Tester Tools not work, because I have set a custom title (flagged on option window) but not is displayed.

    Any solution?

  127. Is it possible to turn screenshot function off or change shortcut? I’m used to using ctrl + shift + s to turn styles off with webdeveloper addon.

  128. In FF 3.5 in xpsp3 Nightly Tester Tools 2.02 if installed the Add-on Filter Input Field disappears and thr Find Updates button stops to work.

  129. With sogo-connector-0.94 (connector to groupDAV) + shredder 3.0b3pre work’s fine !!

  130. Hey,
    nice add-on but after each Win restart (XP) I have to update it (every time!) and restart firefox in order to activate the other add-ons.
    I use FF 3.5.1 and -of course- the latest version of Nightly.
    Any suggestions?
    Thanks!

    • I get this too, it also affects Greasefire and Locationbar…

      Running on a fairly new Firefox profile, too

      • Any hints how to fix this?

        It’s really strange that FF claims that the add-on is not compatible, although it’s made to be compatilbe for the newest versions..

    • I use FF 3.5.3 and Nightly Tester Tools 2.0.2 and I have the same problem and it’s really painful to have to make extensions compatible every time.

      (Sorry but I’m french and I use translator)

      • Salut Chris,

        Je cherche désespérément un tutoriel concernant l’utilisation de Nightly Tester Tools (installé il y a quelques heures: pourrais-tu m’en indiquer un en me donnant le lien ?

    • Hey,
      After having downloaded Nightly Tester Tools a few hours ago, I desperatly look for a french (or english if no other choice) tutorial on “how-to-use-it”: could you please indicate me one (or several) link(s) on this matter ?

      Thanks beforehand.

  131. I again installed my German Windows XP pro SP3. Then Firefox installs version 3.5.3. The Nightly tester tools 2.0.2 can be installed not more.

    • I have the same problem as Daniel. Ntt 2.0.2 will not install on Firefox 3.5.3 . It says IT is incompatible with Firefox 3.5.3 . System is a fresh WinXP SP3 with all updates and Firefox 3.5.3 not updated

  132. Hi,

    I did a fresh Firefox 3.5.3 install, where all previous references to Firefox were removed from the registry and the folders deleted. On each computer reboot, when Firefox opens, Nightly tester is disabled. Clicking Find Updates corrects this problem until the next boot/reboot.

    I hope this helps.
    ineuw

  133. The tester tools are great, and they work fine. The options for the don’t, however. I’d like to change the shortcut for the screenshot grabber (or just disable it), and such a functionality is pretty basic and essential. Conflicting shortcuts are more than common, and most other extensions manage to make it changeable.

  134. Hi!

    How can I use special characters (like é, á etc.) with your firefox addon?
    Thank you!
    fre

  135. The screenshot function is partially broken with the latest 3.7a1pre: it shows the window’s menu, the url-bar toolbar, the bookmark toolbar, and the list of tabs, but the content in the selected tab just shows up as a uniform grey. Same happens for a window with no tabs.

    Might be an interaction with another extension, so here’s my list:

    About Menu 1.3.2.1
    AboutPlug 1.4
    Autofill Forms 0.9.5.2
    ChatZilla 0.9.85
    Console Filter 0.3.2
    Console² 0.5
    Controle de Scripts 1.0.3
    DOM Inspector 2.0.3
    Firebug 1.4.3
    Firecookie 0.9.1
    Go Parent Folder 1.9
    GoogleEnhancer 1.73
    Greasemonkey 0.8.20090920.2
    gui:config 0.3.7
    JavaScript Debugger 0.9.87.4 [DISABLED]
    JSView 2.0.5
    Leak Monitor 0.4.3 [DISABLED]
    Menu Editor 1.2.6
    Nightly Tester Tools 2.0.2
    Page Info Forms and Links 0.8
    PlasmaNotify 0.3.0
    QuickJava 0.4.2.1
    Show Parent Folder 1.5
    Stylish 1.0.6
    Unhide Menubar 0.0.14
    United States English Dictionary 4.0.0
    Vacuum Places Improved 1

    ——————

    Oh, and a feature request: when checking for updates to extensions, if an incompatible extension has been forced to work, then check for updates which aren’t compatible and install them if found.

  136. Almost works with 3.7a1(Minefield), running Windows XP SP3. All appears OK, but when I download a extension which isn’t supported, it will download me but after that it will check for compatibility, and then it fails. Also, ‘force install’ extensions which were installed but now is incompatible does nothing. I know these features have worked before, so it could be because of a recent update. Or I might have made a miss or two. Or it’s simply a matter of setting everything up right, altough I have gone through all the settings and found no errors.

    Help appreciated.

  137. Not working to well with FF 3.6 b3 on Mac OSX 10.6.2 Intel
    (in fact… it doesn’t enable any plugins at all….)

  138. It didn’t work with FF 3.6b3, but I’ve just reinstalled it and it works well, I suppose they introduced some arrangements but didn’t change the version number

    • Yep. Looks like it.

      I updated to FF3.6b3 (WinXP), and although NTT allowed me to override the compatibility of some of my extensions, they still didn’t install or load when FF started. Reinstalled NTT from the link above and restarted FF; that seems to have done the trick. Everything that I had already overridden compatibility works again. Hooray!

  139. Could you help me get theNightly tester tools to work for AutoCopy on FF3.6b3. The current version doesn’t help

  140. As was previously mentioned, reinstalling the latest version from the link above allowed it to work on the latest beta.

  141. Hello, thanks for the great add-on. But it cannot take a screenshot in 3.7a1pre build. When i click “take screenshot” , there is an image with xul elements are shown but not the website. Could you fix it please?

  142. when I goto addon 6543, and try to install, it says could not install because not a valid install package

  143. Thanks for that great add-on. It always works with my Firefox accept the version that I have with Win 7 and 64 bit. And it doesn’t work with XP and Thunderbird 3.0 because I get the error number 207.

  144. Sorry for the download problems, I hit a strange bug on addons.mozilla.org. In a couple of hours the extension should be available for download again.

  145. When you force an extension what exactly happens; and, can I go in with an editor and “undo” it. By forcing it I can’t use the add-on Compatibility Reporter since it won’t detect a “forced add-on”.

  146. oh to be free to use CTRL+T when flash has focus

    Can’t we all get along?

    I’m using Mr Tech extension to keep track of simultaneous profile use (no remote), but leak log seems like it might be a bit more powerful than the leak extension

  147. Hello, I have a question. what is meaning of the extention name Nightly Tester Tools?
    nightly?

  148. I think I’ve found a bug. Running Namoroka nightlies (I know, that ends today!) on Linux, I have Custom titlebar checked and I’ve left the field blank. If I switch in and out of Private Browsing, Namoraka appears back in the titlebar right after the site’s title without a space.

  149. Please note, I cannot make this add-on compatible with 3.7a2pre until addons.mozilla.org is updated to support the new version

Comments are closed.